<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:pme="kelis.fr:prespme" exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="pme:catalogue">
		<layout_2>
			<zone id="zone_titre" y="10%" width="100%" height="10%" leading="5" scenarised="false">
				<tBlock_2col marginWidth="10%">
					<subBlock subType="left" width="5%" marginHeight="12">
						<puce_ronde_jaune/>
					</subBlock>
					<subBlock subType="content" leading="0" marginWidth="5">
						<titreBig_4>
							<xsl:choose>
								<xsl:when test="resultatAgent('//titleAgt','fullTitleText')!=''">
									<xsl:value-of select="resultatAgent('//titleAgt','fullTitleText')"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="resultatAgent(concat('@dico/',local-name()))"/>
								</xsl:otherwise>
							</xsl:choose>
						</titreBig_4>
					</subBlock>
				</tBlock_2col>
			</zone>
			
			<xsl:for-each select="*[name()!='sl:title']">
				<xsl:variable name="vPathAgt">
					<xsl:choose>
						<xsl:when test="@sc:refUri">
							<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="concat('@', getIdNode(.))"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="vTitle">
					<xsl:choose>						
						<xsl:when test="sl:sTitle"><xsl:value-of select="resultatAgent(concat($vPathAgt, '_title/titleText'))"/></xsl:when>
						<xsl:when test="boolean(resultatAgent(concat($vPathAgt, '/titleAgt')))">
							<xsl:value-of select="resultatAgent(concat($vPathAgt, '/titleAgt'), 'fullTitleText')"/>
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="local-name()"/></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				
				<zone tt="{$vTitle}" id="zone_{count(preceding-sibling::sp:desc) +count(preceding-sibling::sp:prod) + count(preceding-sibling::sp:serv)}" zoneOrder="{count(preceding-sibling::sp:prod) + count(preceding-sibling::sp:serv)}" x="12.5%" y="20%" width="87.5%" height="70%" leading="0" scenarised="true" visibleOutOfHighlight="false">
					<!--
					<sBlock_1col >			
						<subBlock subType="content">				
							<titreBig_5>
								<xsl:value-of disable-output-escaping="yes" select="$vTitle"/>
							</titreBig_5>
						</subBlock>			
					</sBlock_1col>					

					<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/content'))"/>
					-->
					<tBlock_2col>
						<subBlock subType="title">
							<titreBig_5>
								<xsl:value-of disable-output-escaping="yes" select="$vTitle"/>
							</titreBig_5>
						</subBlock>
						<subBlock subType="content">
							<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/content'))"/>
						</subBlock>
					</tBlock_2col>
				</zone>	
				
			</xsl:for-each>
				
			<scenario animation="true" animationDuration="0.5">
				<!-- Transition de panel par défaut : -->
				<!-- Scenario par défaut : -->
				<defaultScenario cumulLevel="" maxScenLevel="2" itemDuration="0.5">
					<!-- Transition de zone par défaut (pour les zones visibles en highlight seulement) -->
							<transition_in preset="transition_1"/>
							<transition_out preset="transition_1"/>
					<!-- Régles par défaut pour les levels : -->
					<defaultRules>
						<!-- Transitions par défaut : -->	
							<transition_in preset="transition_1"/>
							<transition_out preset="transition_1"/>
						<!-- Etats par défaut : -->
							<init visibility="0" expandFactor="0"/>
							<highlight visibility="1" expandFactor="1"/>
							<passed visibility="0" expandFactor="0"/>
					</defaultRules>
					<!-- Règles particulières pour des levels donnés : -->
					<levelRules level="2">
						<init expandFactor="0.5"/>
						<passed visibility="1"/>
					</levelRules>
				</defaultScenario>
				<!-- Scenario particulier pour une zone donnée : -->
			</scenario>				
				
		</layout_2>
		
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
