<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:pme="kelis.fr:prespme"
	exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="pme:contenu">
		<xsl:variable name="vPathAgt">
			<xsl:value-of select="concat('@', getIdNode(..))"/>
		</xsl:variable>
		<xsl:variable name="vTitle">
			<xsl:value-of select="resultatAgent(concat($vPathAgt, '_title/fullTitleText'))"/>
		</xsl:variable>
		<xsl:variable name="vTest">
			<xsl:if test="*/pme:acces">typeacces</xsl:if>
		</xsl:variable>
		<xsl:if test="$vTest != 'typeacces and count(*) != 1'">
			<page nm="{local-name()}" titre="pdf_{$vTitle}"
				src="{extractFileNameFromPath(resultatAgent(concat($vPathAgt, '/pagedegarde'),
				'act:'))}">
				<transition_in preset="transition_1" duration="1.5"/>
				<transition_out preset="transition_2"/>
			</page>
		</xsl:if>
		<xsl:for-each select="*[name()!='sl:title']">
			<!-- l'Ã©lÃ©ment peut etre internalisÃ© ou non -->
			<xsl:variable name="vPathAgt">
				<xsl:choose>
					<xsl:when test="@sc:refUri">
						<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="concat('@', getIdNode(.))"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="vTitle">
				<xsl:choose>
					<xsl:when test="local-name()='description'">Description</xsl:when>
					<xsl:when test="sl:title">
						<xsl:value-of select="resultatAgent(concat($vPathAgt,
							'_title/fullTitleText'))"/>
					</xsl:when>
					<xsl:when test="boolean(resultatAgent(concat($vPathAgt, '/titleAgt')))">
						<xsl:value-of select="resultatAgent(concat($vPathAgt, '/titleAgt'),
							'fullTitleText')"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="local-name()"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			
			
			<xsl:variable name="vVisibility">
				<xsl:value-of select="resultatAgent(concat($vPathAgt, '/vVisibility'))"/>
			</xsl:variable>
			
			<xsl:if test="local-name() != 'acces' and $vVisibility != 'hidden'">
				<page visibility="{$vVisibility}" tt="content" test="{$vTest}" nm="{local-name()}" titre="{$vTitle}"
					src="{extractFileNameFromPath(resultatAgent(concat($vPathAgt, '/page'),
					'act:'))}">
					<transition_in preset="transition_1" duration="1.5"/>
					<transition_out preset="transition_2"/>
					<!--<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt, '/indexContent'))"/>-->
				</page>
				<xsl:if test="local-name()='cat' ">
					<xsl:value-of disable-output-escaping="yes"
						select="resultatAgent(concat($vPathAgt, '/indexContent'))"/>
				</xsl:if>
				<xsl:if test="local-name()='res' ">
					<xsl:value-of disable-output-escaping="yes"
						select="resultatAgent(concat($vPathAgt, '/indexContent'))"/>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
