<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:pme="kelis.fr:prespme" exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="pme:ficheDivision">
		<titreBig_5><xsl:value-of select="resultatAgent('//titleAgt','titleText')"/></titreBig_5>
		<xsl:apply-templates select="sp:introduction"/>
		<xsl:apply-templates select="sp:contenu"/>
		<xsl:apply-templates select="sp:conclusion"/>
	</xsl:template>
	
	
	
	
	<xsl:template match="sp:introduction" >
		<xsl:variable name="vPathAgt">
			<xsl:choose>
				<xsl:when test="@sc:refUri">
					<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat('@', getIdNode(.))"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<!-- l'élément peut etre internalisé ou non -->
		
		<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/content'))"/>
	</xsl:template>

	<xsl:template match="sp:contenu" >
		<xsl:variable name="vPathAgt">
			<xsl:choose>
				<xsl:when test="@sc:refUri">
					<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat('@', getIdNode(.))"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<!-- l'élément peut etre internalisé ou non -->
		
		<xsl:value-of disable-output-escaping="yes"  select="resultatAgent(concat($vPathAgt,'/content'))"/>
	</xsl:template>

	<xsl:template match="sp:conclusion" >
		<xsl:variable name="vPathAgt">
			<xsl:choose>
				<xsl:when test="@sc:refUri">
					<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat('@', getIdNode(.))"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<!-- l'élément peut etre internalisé ou non -->
		
		<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/content'))"/>
	</xsl:template>
	
	<xsl:template match="*"/>
</xsl:stylesheet>
