<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:pme="kelis.fr:prespme" exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="pme:organisation">
		<layout_2>		
			<zone id="zone_titre" y="10%" width="100%" height="10%" leading="5" scenarised="false">
				<tBlock_2col marginWidth="10%">					
					<subBlock subType="left" width="5%" marginHeight="12">
						<puce_ronde_jaune/>
					</subBlock>
					<subBlock subType="content" leading="0" marginWidth="5">
						<titreBig_4><xsl:apply-templates select="sp:nom"/></titreBig_4>	
					</subBlock>
				</tBlock_2col>
				
				<!-- test à supprimer quand le player saura lire les GIF-->
				<xsl:variable name="vIsGif" select="contains(sp:logo/@sc:refUri, '.gif')"/>
				<xsl:if test="sp:logo/@sc:refUri!='' and not($vIsGif) ">
					<sBlock_1col marginWidth="30" marginHeight="10">
						<subBlock subType="content" marginWidth="10">						
							<xsl:apply-templates select="sp:logo"/>						
						</subBlock>				
					</sBlock_1col>
				</xsl:if>
				
				<sBlock_1col marginWidth="30" marginHeight="50">
					<subBlock subType="content" marginWidth="100">
						<sBlock_fondBlanc width="50%" marginWidth="30" marginHeight="50">
							<subBlock subType="content" marginWidth="100">
								<xsl:apply-templates select="sp:coord"/>
						 	</subBlock>
						 </sBlock_fondBlanc>	
					</subBlock>				
				</sBlock_1col>			
			</zone>
		</layout_2>		
	</xsl:template>
	
	<xsl:template match="sp:*">
		<xsl:variable name="vPathAgt">
			<xsl:choose>
				<xsl:when test="@sc:refUri">
					<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat('@', getIdNode(.))"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/content'))"/>
	</xsl:template>

	
	
	
	
	<xsl:template match="*"/>
</xsl:stylesheet>
