<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:pme="kelis.fr:prespme" exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	<xsl:template match="pme:partenaire">
		
		<panelVecto id="panel_{getIdNode(..)}" x="50%" y="15%" width="40%" height="70%" marginHeight="10" marginWidth="10" leading="0">
							
			<xsl:for-each select="*[name()!='sl:sTitle']">
				<!-- l'élément peut etre internalisé ou non -->
				<xsl:variable name="vPathAgt">
					<xsl:choose>
						<xsl:when test="@sc:refUri">
							<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="concat('@', getIdNode(.))"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>	
				
				<xsl:if test="name()='sp:part'">
					
					<xsl:choose>
						<xsl:when test="normalize-space(resultatAgent(concat($vPathAgt,'/logo')))!='' ">
							<sBlock_2col>
								<subBlock subType="left" width="50%" marginWidth="15">
									<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/title'))"/>	
								</subBlock>
								<subBlock subType="content" leading="0">
									<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/logo'))"/>
								</subBlock>
							</sBlock_2col>
						</xsl:when>
						<xsl:otherwise>
							<!--<xsl:if test="local-name()!='part'">-->
								<sBlock_1col marginHeight="15">
									<subBlock subType="content" marginWidth="15">
										<xsl:value-of select="local-name()"/><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/title'))"/>
								 	</subBlock>
								 </sBlock_1col>
							<!--</xsl:if>-->
						</xsl:otherwise>
						
					</xsl:choose>
					
					<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/content'))"/>
				</xsl:if>
								
			</xsl:for-each>
		</panelVecto>
		
						
	</xsl:template>
	<xsl:template match="*"/>
</xsl:stylesheet>
