<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:pme="kelis.fr:prespme" exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>

	
	<xsl:template match="pme:partenaireSet">
		<layout_2>
			<zone id="zone_titre" y="10%" width="100%" height="10%" leading="5" scenarised="false">
				<tBlock_2col marginWidth="10%">					
					<subBlock subType="left" width="5%" marginHeight="12">
						<puce_ronde_jaune/>
					</subBlock>
					<subBlock subType="content" leading="0" marginWidth="5">
						<titreBig_4><xsl:value-of select="resultatAgent('//titleAgt','titleText')"/></titreBig_4>							
					</subBlock>
				</tBlock_2col>
			</zone>
			
			<zone id="zone_content" zoneOrder="1" x="12.5%" y="20%" width="87.5%" height="70%" leading="0" scenarised="true">
				<xsl:apply-templates select="sp:part | sp:desc" mode="titres"/>
			</zone>	
			
			<xsl:apply-templates select="sp:part" mode="contents"/>
			
			<!-- Scénario interne : -->
			<scenario animation="true" animationDuration="0.5">
				<!-- Transition de panel par défaut : -->
				<defaultPanelTransition>
					<transition_in preset="transition_1"/>
					<transition_out preset="transition_1"/>
				</defaultPanelTransition>
				<!-- Scenario par défaut : -->
				<defaultScenario cumulLevel="" maxScenLevel="1" itemDuration="0.5">
					<!-- Régles par défaut pour les levels : -->
					<defaultRules>
						<transition_in preset="transition_1"/>
						<transition_out preset="transition_1"/>
						<init visibility="0" expandFactor="0"/>
						<highlight visibility="1" expandFactor="1"/>
						<passed visibility="1" expandFactor="0"/>
					</defaultRules>
					<!-- Règles particulières pour des levels donnés : -->
					<levelRules level="3">
						<init expandFactor="1"/>
					</levelRules>
				</defaultScenario>
			</scenario>
			
		</layout_2>		
	</xsl:template>
	
	<xsl:template match="sp:part" mode="titres">
		<xsl:variable name="vPathAgt">
			<xsl:choose>
				<xsl:when test="@sc:refUri">
					<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat('@', getIdNode(.))"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="vTitle">
			<xsl:choose>				
				<xsl:when test="sl:sTitle"><xsl:value-of select="resultatAgent(concat($vPathAgt, '_title/titleText'))"/></xsl:when>
				<xsl:when test="boolean(resultatAgent(concat($vPathAgt, '/titleAgt')))">
					<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt, '/title'), 'titleText')"/>
				</xsl:when>
				<xsl:otherwise><xsl:value-of select="local-name()"/></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
							
			
		<tBlock_listPuce_1 >	
			<panelAnchor id="panel_{getIdNode(.)}"/>
			<subBlock subType="title" >
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/title'))"/>
			</subBlock>
			<subBlock subType="content">
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/role'))"/>						
			</subBlock>
		</tBlock_listPuce_1>	
					
	</xsl:template>
	<!-- -->
	<xsl:template match="sp:part" mode="contents">
		<xsl:variable name="vPathAgt">
			<xsl:choose>
				<xsl:when test="@sc:refUri">
					<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat('@', getIdNode(.))"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/content'))"/>
	</xsl:template>
	<!-- -->
	<xsl:template match="sp:desc"  mode="titres">
		<xsl:variable name="vPathAgt">
			<xsl:choose>
				<xsl:when test="@sc:refUri">
					<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat('@', getIdNode(.))"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="vTitle">
			<xsl:choose>				
				<xsl:when test="sl:sTitle"><xsl:value-of select="resultatAgent(concat($vPathAgt, '_title/titleText'))"/></xsl:when>
				<xsl:when test="boolean(resultatAgent(concat($vPathAgt, '/titleAgt')))">
					<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt, '/titleAgt'), 'titleText')"/>
				</xsl:when>
				<xsl:otherwise><xsl:value-of select="local-name()"/></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
				
		<!-- l'élément peut etre internalisé ou non -->
		<tBlock_listPuce_1 >						
			<subBlock subType="title" >				
				<titreBig_7><xsl:value-of select="$vTitle"/></titreBig_7>				
			</subBlock>
			<subBlock subType="content">
				<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/content'))"/>	
			</subBlock>
		</tBlock_listPuce_1>			
		
	</xsl:template>

	
	<xsl:template match="*"/>
</xsl:stylesheet>
