<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
		xmlns:pme="kelis.fr:prespme" exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="pme:personne">		
		<panelVecto id="panel_{getIdNode(..)}" x="60%" y="15%" width="30%" height="70%" marginHeight="10" marginWidth="10" leading="0">
			
			 
			 <xsl:choose>
				 <xsl:when test="normalize-space(resultatAgent(concat($vPathAgt,'/photo')))!='' ">
					<sBlock_2col >
						<subBlock subType="left" width="50%" marginWidth="30">
							<xsl:apply-templates select="sp:nom"/>	
						</subBlock>
						<subBlock subType="content" leading="0">
							<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/photo'))"/>
						</subBlock>
					</sBlock_2col>
				</xsl:when>
				<xsl:otherwise>
					<sBlock_1col marginWidth="30">
						<subBlock subType="content" marginWidth="30">
							<xsl:apply-templates select="sp:nom"/>
					 	</subBlock>
					 </sBlock_1col>
				</xsl:otherwise>
			</xsl:choose>
			
			<sBlock_1col marginWidth="30">
				<subBlock subType="content" marginWidth="30">
					<xsl:apply-templates select="sp:coord"/>
			 	</subBlock>
			</sBlock_1col>
			
		</panelVecto>
	</xsl:template>
	
	<xsl:template match="sp:*">
		<xsl:variable name="vPathAgt">
			<xsl:choose>
				<xsl:when test="@sc:refUri">
					<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat('@', getIdNode(.))"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>		
		<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/content'))"/>		
	</xsl:template>
	
	<xsl:template match="*"/>
</xsl:stylesheet>
