<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
			xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
			xmlns:sl="http://www.utc.fr/ics/scenari/v3/library"
			xmlns:pme="kelis.fr:prespme"
			xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
			exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="pme:presSimple">
		<presentation titre="{resultatAgent('//titleAgt', 'fullTitleText')}" sheetDuration="4" menuKey="s" preset="presentation_1">
			<section titre="titre">
				<page titre="titre" src="{extractFileNameFromPath(resultatAgent('//tunnelPage', 'act:'))}">
					<transition_in preset="transition_1" duration="1.5"/>
					<transition_out preset="transition_2"/>
				</page>
			</section>
			<xsl:for-each select="*[name()!='sl:title']"> <!-- /sp:section/pme:contenu -->
				<!-- l'Ã©lÃ©ment peut etre internalisÃ© ou non -->
				<xsl:variable name="vPathAgt">
					<xsl:choose>
						<xsl:when test="@sc:refUri">
							<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="concat('@', getIdNode(.))"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="vTitle">
					<xsl:choose>					
						<xsl:when test="sl:title"><xsl:value-of select="resultatAgent(concat($vPathAgt, '_title/fullTitleText'))"/></xsl:when>
						<xsl:when test="boolean(resultatAgent(concat($vPathAgt, '/titleAgt')))">
							<xsl:value-of select="resultatAgent(concat($vPathAgt, '/titleAgt'), 'fullTitleText')"/>
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="local-name()"/></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				
				<xsl:variable name="vTitle">
					<xsl:choose>					
						<xsl:when test="sl:title"><xsl:value-of select="resultatAgent(concat($vPathAgt, '_title/fullTitleText'))"/></xsl:when>
						<xsl:when test="boolean(resultatAgent(concat($vPathAgt, '/titleAgt')))">
							<xsl:value-of select="resultatAgent(concat($vPathAgt, '/titleAgt'), 'fullTitleText')"/>
						</xsl:when>
						<xsl:otherwise><xsl:value-of select="local-name()"/></xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				
				<xsl:variable name="vNbSousparties">  <!--nb de fils de pme:contenu de la section -->
					<xsl:value-of select="count(./pme:contenu/*)"/>
				</xsl:variable>
				
				<xsl:variable name="vNbSpAcces">  <!--nb de sp:acces de la section -->
					<xsl:value-of select="resultatAgent(concat($vPathAgt, '/nbSpAcces'))"/>
				</xsl:variable>
				
				<xsl:variable name="vNbFicheOrg">  <!--nb de ficheorg de la section -->
					<xsl:value-of select="resultatAgent(concat($vPathAgt, '/nbFicheOrg'))"/>
				</xsl:variable>

				<!-- Generation de la section uniquement si elle n'est pas composé exclusivement de sp:acces et de ficheorg -->
				<xsl:if test="$vNbSousparties != $vNbSpAcces + $vNbFicheOrg">
					<section titre="{$vTitle}" nbsousparties="{$vNbSousparties}" nbficherorg="{$vNbFicheOrg}" nbacces="{$vNbSpAcces}">					
							<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt, '/indexContent'))"/>
					</section>
				</xsl:if>
		
			</xsl:for-each>
		</presentation>
	</xsl:template>
	
	<xsl:template match="*"/>
	
	
</xsl:stylesheet>