<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:pme="kelis.fr:prespme" exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<xsl:template match="pme:service">
		<layout_2>
			<zone id="zone_titre" y="10%" width="100%" height="10%" leading="5" scenarised="false">
				<tBlock_2col marginWidth="10%">					
					<subBlock subType="left" width="5%" marginHeight="12">
						<puce_ronde_jaune/>
					</subBlock>
					<subBlock subType="content" leading="0" marginWidth="5">
						<titreBig_4><xsl:value-of select="resultatAgent('//titleAgt','fullTitleText')"/></titreBig_4>												
					</subBlock>
				</tBlock_2col>
			</zone>
			
			<zone id="zone_content" zoneOrder="1" x="12.5%" y="20%" width="87.5%" height="70%" leading="0" scenarised="true">
				<xsl:apply-templates select="sp:desc"/>
			</zone>	
			
			<scenario animation="true" animationDuration="1">			
				<!-- Scenario par défaut : -->
				<defaultScenario cumulLevel="" maxScenLevel="1" itemDuration="0.5">
					<!-- Régles par défaut pour les levels : -->
					<defaultRules>
						<!-- Transitions par défaut : -->	
							<transition_in preset="transition_1"/>
							<transition_out preset="transition_1"/>
						<!-- Etats par défaut : -->
							<init visibility="0" expandFactor="1"/>
							<highlight visibility="1" expandFactor="1"/>
							<passed visibility="1" expandFactor="1"/>
					</defaultRules>					
					
				</defaultScenario>
			</scenario>
					
		</layout_2>
		
	</xsl:template>
	
	
	<xsl:template match="sp:desc" >
		<xsl:variable name="vPathAgt">
			<xsl:choose>
				<xsl:when test="@sc:refUri">
					<xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="concat('@', getIdNode(.))"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
				
		<!-- l'élément peut etre internalisé ou non -->		
		<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgt,'/content'))"/>
		
		
	</xsl:template>

	
	<xsl:template match="*"/>
</xsl:stylesheet>
