<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
			xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
			xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
			xmlns:sl="http://www.utc.fr/ics/scenari/v3/library"
			xmlns:pme="kelis.fr:prespme"
			exclude-result-prefixes="sc sl pme">
	<xsl:output method="xml" indent="yes" omit-xml-declaration="yes"/>
	
	<xsl:param name="vDialog"/>
	<xsl:param name="vAgent"/>
	
	<!--cette XSL est un copié-collé de SL:TEXTE, tout est à spécifier-->
	
	<xsl:template match="sl:textSimple">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="sc:itemizedList">
		<xsl:apply-templates select="sc:listItem" mode="itemized"/>
	</xsl:template>
	<xsl:template match="sc:simpleList">
		<xsl:apply-templates select="sc:member" mode="simple"/>
	</xsl:template>
	<xsl:template match="sc:orderedList">
		<xsl:apply-templates select="sc:listItem" mode="ordered"/>
	</xsl:template>
	<xsl:template match="sc:listItem" mode="itemized">
		<sBlock_puceBleue>
			<subBlock subType="content">
				<texte_2>
					<xsl:apply-templates select="sc:para"/>
				</texte_2>
			</subBlock>
		</sBlock_puceBleue>
	</xsl:template>
	<xsl:template match="sc:member" mode="simple">
		<sBlock_1col marginWidth="10">
			<subBlock subType="content">
				<texte_2> -     <xsl:apply-templates/>
				</texte_2>
			</subBlock>
		</sBlock_1col>
	</xsl:template>
	<xsl:template match="sc:listItem" mode="ordered">
		<sBlock_1col marginWidth="10">
			<subBlock subType="content">
				<texte_2>
					<xsl:value-of select="count(preceding-sibling::sc:listItem[name(..)='sc:orderedList' ])+1"/>)-  <xsl:apply-templates select="sc:para"/>
				</texte_2>
			</subBlock>
		</sBlock_1col>
	</xsl:template>
	<xsl:template match="sc:para">
		<xsl:choose>
			<xsl:when test="name(..)='sc:listItem' ">
				<xsl:apply-templates/>
			</xsl:when>
			<xsl:when test="name(../..)='sp:nom' ">
				<texte_3>
					<xsl:apply-templates/>
				</texte_3>
			</xsl:when>
			<xsl:when test="name(../..)='sp:role' ">
				<texte_2>
					<xsl:apply-templates/>
				</texte_2>
			</xsl:when>
			<xsl:when test="name(../..)='sp:coord' ">
				<texte_5>
					<xsl:apply-templates/>
				</texte_5>
			</xsl:when>

			<xsl:otherwise>
				<sBlock_puceJaune>
					<subBlock subType="content">
						<texte_2>
							<xsl:apply-templates/>
						</texte_2>
					</subBlock>
				</sBlock_puceJaune>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="sc:inlineStyle">
		<xsl:choose>
			<xsl:when test="@role='emphasis' ">
				<emphasis>
					<xsl:apply-templates/>
				</emphasis>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="sc:phrase">
		<xsl:choose>
			<xsl:when test="@role='quote' ">
				<quote>"<xsl:apply-templates/>"</quote>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="sc:uLink">
		<lien>
			<xsl:apply-templates/>
		</lien>
		<href> (<xsl:value-of select="@url"/>)</href>
	</xsl:template>
	<xsl:template match="sc:textLeaf">
		<xsl:choose>
			<xsl:when test="@role='acronym' ">
				<acronym>
					<xsl:apply-templates/>
				</acronym>
			</xsl:when>
			<xsl:when test="@role='trademark' ">
				<xsl:apply-templates/>™</xsl:when>
			<xsl:when test="@role='copyright' ">
				<xsl:apply-templates/>©</xsl:when>
			<xsl:when test="@role='registered' ">
				<xsl:apply-templates/>®</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="text()">
		<xsl:value-of select="concat(normalize-space(.),' ')"/>
	</xsl:template>
	<!-- TODO : autres Ã©lÃ©ments-->
	<xsl:template match="*|@*"/>

	
</xsl:stylesheet>